//
// Visuzalization module for TETDM 
// TextDisplayHtml.java Version 0.30 2011.11.21 
// Copyright(C) 2011.11.21 WATARU SUNAYAMA ALL RIGHTS RESERVED.
//
// This program is provided under licenses.
// You Should read README file.
//

package module.VisualizationModules.TextDisplayHtml;

import source.*;
import source.TextData.*;

import java.awt.*;
import javax.swing.*;

////////////////////////////////
// Visualization Module //
// Version 0.16 2011.11.21 //
////////////////////////////////

public class TextDisplayHtml extends TextDisplay
{
	public TextDisplayHtml()
	{
		setModuleID(3);	
	}
	
	public void initializePanel()
	{
		text1 = new JTextPane();
		text1.setContentType("text/html");
		scroll1 = new JScrollPane(text1);
		add(scroll1);
	}
	
	public void displayOperations(int optionNumber)
	{
		switch(optionNumber)
		{
			case 0:
				text1.setFont(new Font("Dialog", Font.BOLD, fontsize));
				text1.setText(displayText);
				text1.setCaretPosition(0);
				break;
		case 1:
				text1.setFont(new Font("Dialog", Font.BOLD, fontsize));
				text1.setText(displayText);
				break;
		}		
	}	
}
